Новости
Главная / Software / Устройства с Bluetooth 4.0 и 5.0 оказались подверженными взлому, и это нельзя исправить

Устройства с Bluetooth 4.0 и 5.0 оказались подверженными взлому, и это нельзя исправить

Исследователи из США и Швейцарии независимо друг от друга обнаружили новую уязвимость в некоторых реализациях протокола Bluetooth версий от 4.0 до 5.0. С помощью неё злоумышленники могут получить полный доступ к смартфону путём перезаписи ключей, необходимых для сопряжения устройств. Уязвимость получила название BLURtooth.

techradar.com

techradar.com

Стоит заметить, что лазейку можно использовать как для взлома устройств, поддерживающих высокоскоростной стандарт Bluetooth Classic, так и энергоэффективный Bluetooth Low Energy, при условии, что устройства используют способ соединения Cross-Transport Key Derivation. Когда этот метод используется для сопряжения двухрежимных Bluetooth-устройств, процедура выполняется только один раз с использованием одного из этих двух методов передачи данных.

В процессе сопряжения генерируются долгосрочные ключи, которые могут быть перезаписаны в случаях, когда соединение требует более высокий уровень безопасности. Эта особенность и используется для реализации BLUR-атак.  Помимо того, что злоумышленник может получить полный доступ к приложениям на атакуемом устройстве, существует также возможность незаметной прослушки смартфона жертвы.

Отмечается, что полностью исключить возможность BLUR-атак не представляется возможным, поскольку проблема существует на уровне протокола, а не в программном обеспечении конкретных устройств. В качестве меры, частично помогающей защитить устройства от взлома, Bluetooth SIG рекомендует OEM-производителям ввести ограничения на получение ключей Cross-Transport, которое по умолчанию прописано в базовых спецификациях Bluetooth 5.1 и более поздних версий.

Источник:


Если вы заметили ошибку — выделите ее мышью и нажмите CTRL+ENTER.
Материалы по теме